%global srcname suds

Name:          python-suds2
Version:       0.7.0
Release:       5
Summary:       A python SOAP client
License:       LGPLv3+
URL:           https://github.com/suds-community/suds
Source0:       https://github.com/suds-community/suds/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch1:        fix_test_transport.patch
Patch2:        port-to-pytest4.patch
BuildArch:     noarch
Provides:      python-suds = %{version}-%{release}
Obsoletes:     python-suds < %{version}-%{release}

%description
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%package -n python3-suds2
%{?python_provide:%python_provide python3-suds2}
Summary:       A python SOAP client
BuildRequires: python3-devel python3-pytest python3-six
Provides:      python3-suds = %{version}-%{release}
Obsoletes:     python3-suds < %{version}-%{release}

%description -n python3-suds2
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-suds2
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/*

%changelog
* Fri Jan 08 2021 maminjie <maminjie1@huawei.com> - 0.7.0-5
- update source and port to pytest4

* Wed Jul  8 2020 zhanghua <zhanghua40@huawei.com> - 0.7-4
- change Name to python-suds2 and remove Subpackage python2-suds

* Wed Jun 24 2020 wutao <wutao61@huawei.com> - 0.7-3
- Fix transport test error

* Sun Mar 22 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.7-2
- Fix http test error.

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 0.7-1
- init package
